module Controller.Menu.Table.Delete 
    (columnEventHandler,rowEventHandler
    ,columnEventHandlerWith,rowEventHandlerWith)
    where

import Controller (Controller)
import Controller.Dialog (chooseColumnsDialog,chooseRowsDialog)
import Controller.Grid (deleteRows,deleteColumns)
import I18n (__)

columnEventHandlerWith,rowEventHandlerWith :: [Int] -> Controller ()
columnEventHandlerWith cols = 
    chooseColumnsDialog (__ "Delete") (__ "&Delete") cols >>= deleteColumns

rowEventHandlerWith rows = 
    chooseRowsDialog (__ "Delete") (__ "&Delete") rows >>= deleteRows

columnEventHandler,rowEventHandler :: Controller ()
columnEventHandler = columnEventHandlerWith []
rowEventHandler = rowEventHandlerWith []
