module Controller.FormulaInput (eventHandler)
    where

import Controller (Controller,onView,onGridView)
import Controller.Cell (showSelectedContent)
import Controller.Grid (writeCellInput)
import View.FormulaInput (formula)
import View.Component.Grid (getCursorPos)

eventHandler :: Controller ()
eventHandler = do
  input <- onView formula
  coords <- onGridView $ getCursorPos
  writeCellInput [(coords,input)]
  showSelectedContent
