module Main
    where

import Graphics.UI.WX (start)
import Run (program)
import Config (load)
import Constants (configFilePath)

main :: IO ()
main = do
  result <- load =<< configFilePath
  case result of
    Left withError -> fail withError
    Right config -> start $ program config
