module View.FormulaInput (log,logString,formula)
    where

import Prelude hiding (log)
import qualified Graphics.UI.WXCore as WXC
import View (View,formulaInput)
import qualified View.Component.TextWindow as TW

logString :: String -> View -> IO ()
logString s view = WXC.textCtrlSetValue (formulaInput view) s

log :: Show a => a -> View -> IO ()
log some = logString $ show some

formula :: View -> IO String
formula = TW.text . formulaInput